Package: org.apache.groovy.swing.binding

## [Java] Enum PropertyBinding.UpdateStrategy

- org.apache.groovy.swing.binding.PropertyBinding.UpdateStrategy

-     public enum PropertyBinding.UpdateStrategy

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `ASYNC` |
    `DEFER` |
    `MIXED` |
    `OUTSIDE` |
    `SAME` |
    `SYNC` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static UpdateStrategy` | `of(String str)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PropertyBinding.UpdateStrategy ASYNC

    - #### PropertyBinding.UpdateStrategy DEFER

    - #### PropertyBinding.UpdateStrategy MIXED

    - #### PropertyBinding.UpdateStrategy OUTSIDE

    - #### PropertyBinding.UpdateStrategy SAME

    - #### PropertyBinding.UpdateStrategy SYNC

  - ### Method Detail

    - #### public static UpdateStrategy of(String str)